Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.nativebinaries
[Java] Interface FlavorContainer

    org.gradle.api.NamedDomainObjectSet
      java.lang.Iterable
          org.gradle.api.NamedDomainObjectCollection
              org.gradle.api.DomainObjectCollection
                  org.gradle.util.Configurable
                      org.gradle.nativebinaries.FlavorContainer
                          java.util.Collection
                              org.gradle.api.NamedDomainObjectContainer

All Superinterfaces:
  NamedDomainObjectSet, Iterable, NamedDomainObjectCollection, DomainObjectCollection, Configurable, Collection, NamedDomainObjectContainer

    @Incubating
    public interface FlavorContainer
    extends NamedDomainObjectContainer

A container of flavors. If no flavor is explicitly configured, will contain a single Flavor named 'default'. Any flavors explicitly configured will overwrite the default flavor.

Method Summary

Methods inherited from interface NamedDomainObjectContainer
configure, create, create, create, maybeCreate

Methods inherited from interface NamedDomainObjectSet
findAll, matching, matching, withType

Gradle API 1.10